names {base} | R Documentation

## The Names Attribute of an Object

### Description

`names` is a generic accessor function to the `names` attribute of an R object, typically a `vector`. The first form prints the names of the observations and the second sets the names. In this case, `value` must be a vector of character strings of the same length as `x`.

### Usage

    names(x, ...)
    names.default(x)
    names(x) <- value

### Examples

    # print the names attribute of the islands data set
    names(islands)

    # remove the names attribute
    names(islands) <- NULL